@echo off
rem
rem -- EPANET4D.BAT (DOS Batch File to Implement EPANET Menu Program)
rem
if "%2" == "" goto err1
if "%1" == "%2" goto err2
if not exist %1 copy template %1
if exist %2 del %2
:start
cls
echo.
echo.
echo       E P A N E T   M E N U
echo 
echo.
echo   1 - Edit input file %1
echo.
echo   2 - Run EPANET
echo.
echo   3 - View report file %2
echo.
echo   4 - Print report file %2
echo.
echo   5 - Quit
echo.
echo 
echo.
echo Type the number of your selection:
getdgt
if errorlevel 6 goto start
if errorlevel 5 goto quit
if errorlevel 4 goto printout
if errorlevel 3 goto view
if errorlevel 2 goto run
if errorlevel 1 goto edit
goto start
:edit
rem
rem ********* Launch editor program *********
te.exe %1
goto start
:run
cls
if "%epanet%"=="32" goto run32
epanet16.exe %1 %2 %3
pause
goto start
:run32
set DOS4G=quiet
echo Running 32-bit version of EPANET...
dos4gw epanet32.exe %1 %2 %3
set DOS4G=
pause
goto start
:view
cls
if not exist %2 goto err3
rem
rem ********* Launch file viewer *********
browse.com %2
goto start
:printout
cls
if not exist %2 goto err3
print %2
goto start
:err1
echo Correct syntax is: EPANET4D inpfile rptfile
echo where inpfile is the name of an input file
echo and rptfile is the name of a report file.
echo.
goto end
:err2
echo Cannot use same name for input and report files.
echo.
goto end
:err3
echo Report file %2 has not been created yet.
echo.
pause
goto start
:quit
cls
:end

